import { ElementSchemaRegistry } from "@angular/compiler";
import { Parse5DomAdapter } from "./parse5_adapter";
import { setRootDomAdapter } from "./private_import_platform-browser";
import { rendererLog } from "./trace";
import { print } from "./lang-facade";
export var SecurityContext;
(function (SecurityContext) {
    SecurityContext[SecurityContext["NONE"] = 0] = "NONE";
    SecurityContext[SecurityContext["HTML"] = 1] = "HTML";
    SecurityContext[SecurityContext["STYLE"] = 2] = "STYLE";
    SecurityContext[SecurityContext["SCRIPT"] = 3] = "SCRIPT";
    SecurityContext[SecurityContext["URL"] = 4] = "URL";
    SecurityContext[SecurityContext["RESOURCE_URL"] = 5] = "RESOURCE_URL";
})(SecurityContext || (SecurityContext = {}));
export class NativeScriptElementSchemaRegistry extends ElementSchemaRegistry {
    hasProperty(_tagName, _propName) {
        return true;
    }
    hasElement(_tagName, _schemaMetas) {
        return true;
    }
    getMappedPropName(propName) {
        return propName;
    }
    getDefaultComponentElementName() {
        return "ng-component";
    }
    securityContext(_tagName, _propName) {
        return SecurityContext.NONE;
    }
    validateProperty(_name) {
        return { error: false };
    }
    validateAttribute(_name) {
        return { error: false };
    }
    allKnownElementNames() {
        return [];
    }
    normalizeAnimationStyleProperty(propName) {
        return propName;
    }
    normalizeAnimationStyleValue(_camelCaseProp, _userProvidedProp, val) {
        return { error: null, value: val.toString() };
    }
}
export class NativeScriptDomAdapter extends Parse5DomAdapter {
    static makeCurrent() {
        rendererLog("Setting DOM");
        setRootDomAdapter(new NativeScriptDomAdapter());
    }
    hasProperty(_element, _name) {
        // TODO: actually check if the property exists.
        return true;
    }
    log(arg) {
        print(arg);
    }
    logError(arg) {
        print(arg);
    }
    logGroup(arg) {
        print(arg);
    }
    logGroupEnd() {
    }
}
//# sourceMappingURL=dom-adapter.js.map