import { Injectable } from "@angular/core";
import { Router } from "@angular/router";
import { NSLocationStrategy } from "./ns-location-strategy";
import { Frame } from "ui/frame";
export let RouterExtensions = class RouterExtensions {
    constructor(router, locationStrategy, frame) {
        this.router = router;
        this.locationStrategy = locationStrategy;
        this.frame = frame;
    }
    navigate(commands, extras) {
        if (extras) {
            this.locationStrategy._setNavigationOptions(extras);
        }
        return this.router.navigate(commands, extras);
    }
    navigateByUrl(url, options) {
        if (options) {
            this.locationStrategy._setNavigationOptions(options);
        }
        return this.router.navigateByUrl(url);
    }
    back() {
        this.locationStrategy.back();
    }
    canGoBack() {
        return this.locationStrategy.canGoBack();
    }
    backToPreviousPage() {
        this.frame.goBack();
    }
    canGoBackToPreviousPage() {
        return this.frame.canGoBack();
    }
};
RouterExtensions = __decorate([
    Injectable(), 
    __metadata('design:paramtypes', [Router, NSLocationStrategy, Frame])
], RouterExtensions);
//# sourceMappingURL=router-extensions.js.map